FROM nginx:alpine

RUN apk add --no-cache ffmpeg

COPY nginx.conf /etc/nginx/nginx.conf
COPY htpasswd /etc/nginx/.htpasswd
COPY index.html /usr/share/nginx/html/index.html
COPY stream.sh /stream.sh

RUN chmod +x /stream.sh && mkdir -p /usr/share/nginx/html/hls

EXPOSE 80
CMD ["/stream.sh"]
